{
  "format_version": "1.21.80",
  "minecraft:block": {
    "description": {
      "identifier": "drz:pot_plant_1_white_drz",
      "menu_category": {
        "category": "items"
      },
      "traits": {
        "minecraft:placement_direction": {
          "enabled_states": [
            "minecraft:cardinal_direction"
          ]
        }
      },
      "states": {
        "drz:top": [
          false,
          true
        ]
      }
    },
    "permutations": [
      {
        "condition": "q.block_state('minecraft:cardinal_direction') == 'north'",
        "components": {
          "minecraft:transformation": {
            "rotation": [
              0,
              180,
              0
            ]
          }
        }
      },
      {
        "condition": "q.block_state('minecraft:cardinal_direction') == 'east'",
        "components": {
          "minecraft:transformation": {
            "rotation": [
              0,
              90,
              0
            ]
          }
        }
      },
      {
        "condition": "q.block_state('minecraft:cardinal_direction') == 'west'",
        "components": {
          "minecraft:transformation": {
            "rotation": [
              0,
              -90,
              0
            ]
          }
        }
      }
    ],
    "components": {
      "tag:drz:pot_plant": {},
      "tag:minecraft:is_pickaxe_item_destructible": {},
      "tag:decorize": {},
      "minecraft:geometry": {
        "identifier": "geometry.pot_plant_1_drz",
        "culling": "drz:lamp_ground",
        "bone_visibility": {
          "bottom": "!q.block_state('drz:top')",
          "top": "q.block_state('drz:top')"
        }
      },
      "minecraft:material_instances": {
        "*": {
          "texture": "pot_plant_1_white_drz",
          "render_method": "alpha_test_single_sided_to_opaque"
        },
        "1": {
          "texture": "plant_1_drz",
          "render_method": "alpha_test_single_sided_to_opaque"
        }
      },
      "minecraft:destruction_particles": {
        "texture": "pot_plant_1_white_drz"
      },
      "minecraft:item_visual": {
        "geometry": {
          "identifier": "geometry.pot_plant_1_drz.item"
        },
        "material_instances": {
          "*": {
            "texture": "pot_plant_1_white_drz",
            "render_method": "alpha_test_single_sided_to_opaque"
          },
          "1": {
            "texture": "plant_1_drz",
            "render_method": "alpha_test_single_sided_to_opaque"
          }
        }
      },
      "minecraft:collision_box": {
        "origin": [
          -4,
          0,
          -4
        ],
        "size": [
          8,
          16,
          8
        ]
      },
      "minecraft:selection_box": {
        "origin": [
          -4,
          0,
          -4
        ],
        "size": [
          8,
          16,
          8
        ]
      },
      "minecraft:destructible_by_mining": {
        "seconds_to_destroy": 1
      },
      "minecraft:destructible_by_explosion": false,
      "minecraft:light_dampening": 0,
      "minecraft:custom_components": [
        "drz:1x2"
      ]
    }
  }
}